How do I install the DU‑520 on a Macintosh OS X?

Drivers for Macintosh are required for versions OS X 10.1.xup to OS X 10.2.x. Consult the user manual for setupinstructions.

For OS X 10.3 and OS X 10.4, the drivers are built into youroperating system.

Note: This product will not work on OS9 or below.

Rank: 1.5